#header {
	z-index: 2;
	margin: auto;
	width: 100%;
	max-width: var(--max-width);
	user-select: none;
}

body.tpl-home #header,
body.tpl-error #header {
	display: none;
}

.header-inner {
	display: flex;
	position: relative;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	padding: var(--space-m) calc(var(--space-m) * 2);
}

/* ================================== */
/* Site Title and Logotype */
/* ================================== */

#site-title {
	width: 60%;
}

#site-title .image-mobile {
	display: block;
}

#site-title .images-desktop {
	display: none;
}

#site-title a {
	display: block;
	position: relative;
}

#site-title img {
	display: none;
	position: absolute;
	top: 0;
	left: 0;
	background: unset;
	max-width: 100%;
}

#site-title img:first-of-type {
	display: block;
	position: relative;
	z-index: 0;
}

@media (hover: hover) {
	#site-title img {
		display: block;
		opacity: 0;
		transition: opacity var(--anim-speed) var(--anim-ease);
	}

	#site-title img:first-of-type {
		opacity: 1;
	}

	#site-title img.is-active {
		opacity: 1;
		z-index: 1;
	}
}

/* ================================== */
/* Navigation */
/* ================================== */

.nav {
	display: flex;
	column-gap: var(--space-m);
	row-gap: 5px;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	align-items: center;
	padding-top: var(--space-m);
	color: var(--color-navigation, #000);
	list-style-type: none;
}

.nav a {
	color: inherit;
}

@media (hover: hover) {
	.nav a {
		transition: color 300ms ease-in-out;
	}

	.nav a:hover {
		color: var(--color-black);
	}
}

@media (min-width: 640px) {
	.header-inner {
		display: flex;
		flex-direction: row;
		gap: var(--space-m);
	}

	#site-title {
		flex: 0 1 20%;
		width: auto;
	}

	#site-title .image-mobile {
		display: none;
	}

	#site-title .images-desktop {
		display: block;
	}

	.nav {
		column-gap: var(--space-m);
		flex-direction: row;
		justify-content: flex-end;
		align-items: baseline;
		padding-top: 0;
		list-style-type: none;
	}
}

@media (min-width: 992px) {
	#site-title {
		flex: 0 1 20%;
	}

	.nav {
		flex: 0 1 85%;
	}
}
